forgetIt

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Files Functions
Public Member Functions | List of all members
HASHCrypt Class Reference

Hashing class. More...

`#include "/CryptClass/HASHCrypt.hpp"`

## Public Member Functions

| HASHCrypt ()
| Contructor.
| ~HASHCrypt ()
| Destructor.
void | getMD5_128 (std::string chain, byte *digest, int size)
| Create an MD5 over 128 bits on a digest array of bytes.
void | getSHA_256 (std::string chain, byte *digest, int size)
| Create an SHA over 256 bits on a digest array of bytes.

## Detailed Description

Hashing class.

Author
  manzerbredes

Class who handle hashing functions to a byte* parameter. HASHCrypt try to detect errors and throw exceptions. HASHCrypt use crypto++ library.

## Member Function Documentation

void HASHCrypt::getMD5_128 | ( | std::string | chain,
|  | byte * | digest,
|  | int | size
| ) |  |

Create an MD5 over 128 bits on a digest array of bytes.

Parameters

  chain | : Chain to hash
  digest | : An array of bytes (8 bits)
  size | : Length of the array digest

Warning digest will be modified.

void HASHCrypt::getSHA_256 | ( | std::string | chain,
|  | byte * | digest,
|  | int | size
| ) |  |

Create an SHA over 256 bits on a digest array of bytes.

Parameters

  chain | : Chain to hash
  digest | : An array of bytes (8 bits)
  size | : Length of the array digest

Warning digest will be modified.

The documentation for this class was generated from the following files:

- CryptClass/HASHCrypt.hpp
- CryptClass/HASHCrypt.cpp